Update an L4 Load Balancer
To make changes in the balancer's configuration, perform a PUT request to the /v1/load_balancers/l4/{id} endpoint. Modified parameters have to be specified in the request.
Authorization
bearerAuth In: header
Path Parameters
| Field | Details |
|---|---|
id | stringA unique identifier of a balancer. |
Request Body
| Field | Details |
|---|---|
name? | stringGive a new name to a balancer. |
store_logs? | booleanDefault: If you need the storing logs option, fill this parameter in with the |
store_logs_region_id? | integerA cloud region ID of the cloud storage for logs. You can list all region IDs in the relevant request. |
new_external_ips_count? | integerFill in the number of new external IP addresses for the balancer. |
delete_external_ips? | array<string>This array contains external IP addresses to be deleted. |
cluster_id? | stringA unique identifier of a dedicated Load Balancer cluster. A Load Balancer will move to the specified dedicated cluster. A request to list cluster IDs. If |
shared_cluster? | booleanIf it has the |
array<object>A vhost zone is a forwarding rule to be applied to a balancer. | |
array<object>An upstream zone is a group of upstream servers with predefined parameters. | |
labels? | objectSpecify labels you want to attach to the resource. Refer to the Labels section for more details. |
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/load_balancers/l4/oQeZ6Jep" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "y5eVOMaE", "name": "name640", "type": "l4", "status": "active", "external_addresses": [ "101.0.0.38" ], "location_id": 619, "proxy_protocol_enabled": false, "store_logs": false, "vhost_zones": [ { "udp": false, "proxy_protocol": false, "id": "string53", "ports": [ 273 ], "acl_list": [ "127.1.88.0/24" ], "acl_allow": false, "description": "string54", "upstream_id": "string52" } ], "upstream_zones": [ { "method": "least_conn", "hc_interval": 3000, "hc_jitter": 3, "hc_fails": 1, "hc_passes": 3, "udp": false, "id": "string52", "upstreams": [ { "ip": "10.0.8.4", "port": 272, "weight": 1, "max_conns": 63000, "max_fails": 0, "fail_timeout": 30, "status": "unknown" } ] } ], "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "cluster_id": null, "shared_cluster": true, "created_at": "2026-05-28T06:59:18Z", "updated_at": "2026-05-28T06:59:19Z"}